<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>DynamicGlobalProperties | dblurt</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">dblurt</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="dynamicglobalproperties.html">DynamicGlobalProperties</a>
				</li>
			</ul>
			<h1>Interface DynamicGlobalProperties</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>Node state.</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">DynamicGlobalProperties</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#average_block_size" class="tsd-kind-icon">average_<wbr>block_<wbr>size</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#confidential_hbd_supply" class="tsd-kind-icon">confidential_<wbr>hbd_<wbr>supply</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#confidential_supply" class="tsd-kind-icon">confidential_<wbr>supply</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#current_aslot" class="tsd-kind-icon">current_<wbr>aslot</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#current_hbd_supply" class="tsd-kind-icon">current_<wbr>hbd_<wbr>supply</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#current_reserve_ratio" class="tsd-kind-icon">current_<wbr>reserve_<wbr>ratio</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#current_supply" class="tsd-kind-icon">current_<wbr>supply</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#current_witness" class="tsd-kind-icon">current_<wbr>witness</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#hbd_interest_rate" class="tsd-kind-icon">hbd_<wbr>interest_<wbr>rate</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#hbd_print_rate" class="tsd-kind-icon">hbd_<wbr>print_<wbr>rate</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#head_block_id" class="tsd-kind-icon">head_<wbr>block_<wbr>id</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#head_block_number" class="tsd-kind-icon">head_<wbr>block_<wbr>number</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#id" class="tsd-kind-icon">id</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#last_irreversible_block_num" class="tsd-kind-icon">last_<wbr>irreversible_<wbr>block_<wbr>num</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#max_virtual_bandwidth" class="tsd-kind-icon">max_<wbr>virtual_<wbr>bandwidth</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#maximum_block_size" class="tsd-kind-icon">maximum_<wbr>block_<wbr>size</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#num_pow_witnesses" class="tsd-kind-icon">num_<wbr>pow_<wbr>witnesses</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#participation_count" class="tsd-kind-icon">participation_<wbr>count</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#pending_rewarded_vesting_hive" class="tsd-kind-icon">pending_<wbr>rewarded_<wbr>vesting_<wbr>hive</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#pending_rewarded_vesting_shares" class="tsd-kind-icon">pending_<wbr>rewarded_<wbr>vesting_<wbr>shares</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#recent_slots_filled" class="tsd-kind-icon">recent_<wbr>slots_<wbr>filled</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#time" class="tsd-kind-icon">time</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#total_pow" class="tsd-kind-icon">total_<wbr>pow</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#total_reward_fund_hive" class="tsd-kind-icon">total_<wbr>reward_<wbr>fund_<wbr>hive</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#total_reward_shares2" class="tsd-kind-icon">total_<wbr>reward_<wbr>shares2</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#total_vesting_fund_hive" class="tsd-kind-icon">total_<wbr>vesting_<wbr>fund_<wbr>hive</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#total_vesting_shares" class="tsd-kind-icon">total_<wbr>vesting_<wbr>shares</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#virtual_supply" class="tsd-kind-icon">virtual_<wbr>supply</a></li>
								<li class="tsd-kind-property tsd-parent-kind-interface"><a href="dynamicglobalproperties.html#vote_power_reserve_rate" class="tsd-kind-icon">vote_<wbr>power_<wbr>reserve_<wbr>rate</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="average_block_size" class="tsd-anchor"></a>
					<h3>average_<wbr>block_<wbr>size</h3>
					<div class="tsd-signature tsd-kind-icon">average_<wbr>block_<wbr>size<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:183</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p> Average block size is updated every block to be:</p>
						</div>
						<pre><code>average_block_size = (<span class="hljs-number">99</span> * average_block_size + new_block_size) / <span class="hljs-number">100</span></code></pre><p> This property is used to update the current_reserve_ratio to maintain
						approximately 50% or less utilization of network capacity.</p>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="confidential_hbd_supply" class="tsd-anchor"></a>
					<h3>confidential_<wbr>hbd_<wbr>supply</h3>
					<div class="tsd-signature tsd-kind-icon">confidential_<wbr>hbd_<wbr>supply<span class="tsd-signature-symbol">:</span> <a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:160</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Total asset held in confidential balances.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="confidential_supply" class="tsd-anchor"></a>
					<h3>confidential_<wbr>supply</h3>
					<div class="tsd-signature tsd-kind-icon">confidential_<wbr>supply<span class="tsd-signature-symbol">:</span> <a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:155</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Total asset held in confidential balances.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="current_aslot" class="tsd-anchor"></a>
					<h3>current_<wbr>aslot</h3>
					<div class="tsd-signature tsd-kind-icon">current_<wbr>aslot<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:198</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The current absolute slot number. Equal to the total
								number of slots since genesis. Also equal to the total
							number of missed slots plus head_block_number.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="current_hbd_supply" class="tsd-anchor"></a>
					<h3>current_<wbr>hbd_<wbr>supply</h3>
					<div class="tsd-signature tsd-kind-icon">current_<wbr>hbd_<wbr>supply<span class="tsd-signature-symbol">:</span> <a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:156</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="current_reserve_ratio" class="tsd-anchor"></a>
					<h3>current_<wbr>reserve_<wbr>ratio</h3>
					<div class="tsd-signature tsd-kind-icon">current_<wbr>reserve_<wbr>ratio<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:221</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Any time average_block_size &lt;= 50% maximum_block_size this value grows by 1 until it
								reaches MAX_RESERVE_RATIO.  Any time average_block_size is greater than
								50% it falls by 1%.  Upward adjustments happen once per round, downward adjustments
							happen every block.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="current_supply" class="tsd-anchor"></a>
					<h3>current_<wbr>supply</h3>
					<div class="tsd-signature tsd-kind-icon">current_<wbr>supply<span class="tsd-signature-symbol">:</span> <a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:151</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="current_witness" class="tsd-anchor"></a>
					<h3>current_<wbr>witness</h3>
					<div class="tsd-signature tsd-kind-icon">current_<wbr>witness<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:139</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Currently elected witness.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="hbd_interest_rate" class="tsd-anchor"></a>
					<h3>hbd_<wbr>interest_<wbr>rate</h3>
					<div class="tsd-signature tsd-kind-icon">hbd_<wbr>interest_<wbr>rate<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:173</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>This property defines the interest rate that HBD deposits receive.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="hbd_print_rate" class="tsd-anchor"></a>
					<h3>hbd_<wbr>print_<wbr>rate</h3>
					<div class="tsd-signature tsd-kind-icon">hbd_<wbr>print_<wbr>rate<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:174</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="head_block_id" class="tsd-anchor"></a>
					<h3>head_<wbr>block_<wbr>id</h3>
					<div class="tsd-signature tsd-kind-icon">head_<wbr>block_<wbr>id<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:131</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="head_block_number" class="tsd-anchor"></a>
					<h3>head_<wbr>block_<wbr>number</h3>
					<div class="tsd-signature tsd-kind-icon">head_<wbr>block_<wbr>number<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:130</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Current block height.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="id" class="tsd-anchor"></a>
					<h3>id</h3>
					<div class="tsd-signature tsd-kind-icon">id<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:126</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="last_irreversible_block_num" class="tsd-anchor"></a>
					<h3>last_<wbr>irreversible_<wbr>block_<wbr>num</h3>
					<div class="tsd-signature tsd-kind-icon">last_<wbr>irreversible_<wbr>block_<wbr>num<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:204</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="max_virtual_bandwidth" class="tsd-anchor"></a>
					<h3>max_<wbr>virtual_<wbr>bandwidth</h3>
					<div class="tsd-signature tsd-kind-icon">max_<wbr>virtual_<wbr>bandwidth<span class="tsd-signature-symbol">:</span> <a href="../globals.html#bignum" class="tsd-signature-type">Bignum</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:214</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The maximum bandwidth the blockchain can support is:</p>
						</div>
						<p>   max_bandwidth = maximum_block_size * BANDWIDTH_AVERAGE_WINDOW_SECONDS / BLOCK_INTERVAL</p>
						<p>The maximum virtual bandwidth is:</p>
						<p>   max_bandwidth * current_reserve_ratio</p>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="maximum_block_size" class="tsd-anchor"></a>
					<h3>maximum_<wbr>block_<wbr>size</h3>
					<div class="tsd-signature tsd-kind-icon">maximum_<wbr>block_<wbr>size<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:192</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Maximum block size is decided by the set of active witnesses which change every round.
								Each witness posts what they think the maximum size should be as part of their witness
							properties, the median size is chosen to be the maximum block size for the round.</p>
						</div>
						<dl class="tsd-comment-tags">
							<dt>note</dt>
							<dd><p>the minimum value for maximum_block_size is defined by the protocol to prevent the
								network from getting stuck by witnesses attempting to set this too low.</p>
							</dd>
						</dl>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="num_pow_witnesses" class="tsd-anchor"></a>
					<h3>num_<wbr>pow_<wbr>witnesses</h3>
					<div class="tsd-signature tsd-kind-icon">num_<wbr>pow_<wbr>witnesses<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:149</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The current count of how many pending POW witnesses there are, determines
							the difficulty of doing pow.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="participation_count" class="tsd-anchor"></a>
					<h3>participation_<wbr>count</h3>
					<div class="tsd-signature tsd-kind-icon">participation_<wbr>count<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:203</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="pending_rewarded_vesting_hive" class="tsd-anchor"></a>
					<h3>pending_<wbr>rewarded_<wbr>vesting_<wbr>hive</h3>
					<div class="tsd-signature tsd-kind-icon">pending_<wbr>rewarded_<wbr>vesting_<wbr>hive<span class="tsd-signature-symbol">:</span> <a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:169</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="pending_rewarded_vesting_shares" class="tsd-anchor"></a>
					<h3>pending_<wbr>rewarded_<wbr>vesting_<wbr>shares</h3>
					<div class="tsd-signature tsd-kind-icon">pending_<wbr>rewarded_<wbr>vesting_<wbr>shares<span class="tsd-signature-symbol">:</span> <a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:168</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="recent_slots_filled" class="tsd-anchor"></a>
					<h3>recent_<wbr>slots_<wbr>filled</h3>
					<div class="tsd-signature tsd-kind-icon">recent_<wbr>slots_<wbr>filled<span class="tsd-signature-symbol">:</span> <a href="../globals.html#bignum" class="tsd-signature-type">Bignum</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:202</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Used to compute witness participation.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="time" class="tsd-anchor"></a>
					<h3>time</h3>
					<div class="tsd-signature tsd-kind-icon">time<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:135</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>UTC Server time, e.g. 2020-01-15T00:42:00</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="total_pow" class="tsd-anchor"></a>
					<h3>total_<wbr>pow</h3>
					<div class="tsd-signature tsd-kind-icon">total_<wbr>pow<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:144</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The total POW accumulated, aka the sum of num_pow_witness at the time
							new POW is added.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="total_reward_fund_hive" class="tsd-anchor"></a>
					<h3>total_<wbr>reward_<wbr>fund_<wbr>hive</h3>
					<div class="tsd-signature tsd-kind-icon">total_<wbr>reward_<wbr>fund_<wbr>hive<span class="tsd-signature-symbol">:</span> <a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:163</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="total_reward_shares2" class="tsd-anchor"></a>
					<h3>total_<wbr>reward_<wbr>shares2</h3>
					<div class="tsd-signature tsd-kind-icon">total_<wbr>reward_<wbr>shares2<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:167</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The running total of REWARD^2.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="total_vesting_fund_hive" class="tsd-anchor"></a>
					<h3>total_<wbr>vesting_<wbr>fund_<wbr>hive</h3>
					<div class="tsd-signature tsd-kind-icon">total_<wbr>vesting_<wbr>fund_<wbr>hive<span class="tsd-signature-symbol">:</span> <a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:161</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="total_vesting_shares" class="tsd-anchor"></a>
					<h3>total_<wbr>vesting_<wbr>shares</h3>
					<div class="tsd-signature tsd-kind-icon">total_<wbr>vesting_<wbr>shares<span class="tsd-signature-symbol">:</span> <a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:162</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="virtual_supply" class="tsd-anchor"></a>
					<h3>virtual_<wbr>supply</h3>
					<div class="tsd-signature tsd-kind-icon">virtual_<wbr>supply<span class="tsd-signature-symbol">:</span> <a href="../classes/asset.html" class="tsd-signature-type">Asset</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:150</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-interface">
					<a name="vote_power_reserve_rate" class="tsd-anchor"></a>
					<h3>vote_<wbr>power_<wbr>reserve_<wbr>rate</h3>
					<div class="tsd-signature tsd-kind-icon">vote_<wbr>power_<wbr>reserve_<wbr>rate<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in chain/misc.ts:227</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>The number of votes regenerated per day.  Any user voting slower than this rate will be
								&quot;wasting&quot; voting power through spillover; any user voting faster than this rate will have
							their votes reduced.</p>
						</div>
					</div>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-interface">
						<a href="dynamicglobalproperties.html" class="tsd-kind-icon">Dynamic<wbr>Global<wbr>Properties</a>
						<ul>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#average_block_size" class="tsd-kind-icon">average_<wbr>block_<wbr>size</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#confidential_hbd_supply" class="tsd-kind-icon">confidential_<wbr>hbd_<wbr>supply</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#confidential_supply" class="tsd-kind-icon">confidential_<wbr>supply</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#current_aslot" class="tsd-kind-icon">current_<wbr>aslot</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#current_hbd_supply" class="tsd-kind-icon">current_<wbr>hbd_<wbr>supply</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#current_reserve_ratio" class="tsd-kind-icon">current_<wbr>reserve_<wbr>ratio</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#current_supply" class="tsd-kind-icon">current_<wbr>supply</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#current_witness" class="tsd-kind-icon">current_<wbr>witness</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#hbd_interest_rate" class="tsd-kind-icon">hbd_<wbr>interest_<wbr>rate</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#hbd_print_rate" class="tsd-kind-icon">hbd_<wbr>print_<wbr>rate</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#head_block_id" class="tsd-kind-icon">head_<wbr>block_<wbr>id</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#head_block_number" class="tsd-kind-icon">head_<wbr>block_<wbr>number</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#id" class="tsd-kind-icon">id</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#last_irreversible_block_num" class="tsd-kind-icon">last_<wbr>irreversible_<wbr>block_<wbr>num</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#max_virtual_bandwidth" class="tsd-kind-icon">max_<wbr>virtual_<wbr>bandwidth</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#maximum_block_size" class="tsd-kind-icon">maximum_<wbr>block_<wbr>size</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#num_pow_witnesses" class="tsd-kind-icon">num_<wbr>pow_<wbr>witnesses</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#participation_count" class="tsd-kind-icon">participation_<wbr>count</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#pending_rewarded_vesting_hive" class="tsd-kind-icon">pending_<wbr>rewarded_<wbr>vesting_<wbr>hive</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#pending_rewarded_vesting_shares" class="tsd-kind-icon">pending_<wbr>rewarded_<wbr>vesting_<wbr>shares</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#recent_slots_filled" class="tsd-kind-icon">recent_<wbr>slots_<wbr>filled</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#time" class="tsd-kind-icon">time</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#total_pow" class="tsd-kind-icon">total_<wbr>pow</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#total_reward_fund_hive" class="tsd-kind-icon">total_<wbr>reward_<wbr>fund_<wbr>hive</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#total_reward_shares2" class="tsd-kind-icon">total_<wbr>reward_<wbr>shares2</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#total_vesting_fund_hive" class="tsd-kind-icon">total_<wbr>vesting_<wbr>fund_<wbr>hive</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#total_vesting_shares" class="tsd-kind-icon">total_<wbr>vesting_<wbr>shares</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#virtual_supply" class="tsd-kind-icon">virtual_<wbr>supply</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-interface">
								<a href="dynamicglobalproperties.html#vote_power_reserve_rate" class="tsd-kind-icon">vote_<wbr>power_<wbr>reserve_<wbr>rate</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>